<?php
/**
 * Footer copyright
 */

// Footer copyright
$wp_customize->add_section(
	'news_articles_footer_section',
	array(
		'title' => esc_html__( 'Footer Options', 'news-articles' ),
		'panel' => 'news_articles_theme_options_panel',
	)
);

$copyright_default = sprintf( esc_html_x( 'Copyright &copy; %1$s %2$s', '1: Year, 2: Site Title with home URL', 'news-articles' ), '[the-year]', '[site-link]' );

// Footer copyright setting.
$wp_customize->add_setting(
	'news_articles_copyright_txt',
	array(
		'default'           => $copyright_default,
		'sanitize_callback' => 'news_articles_sanitize_html',
	)
);

$wp_customize->add_control(
	'news_articles_copyright_txt',
	array(
		'label'           => esc_html__( 'Copyright text', 'news-articles' ),
		'section'         => 'news_articles_footer_section',
		'type'            => 'textarea',
	)
);
